### Method

# Ggit AnnotatedCommit get_id

#### Declaration [src]

    GgitOId*
    ggit_annotated_commit_get_id (
      GgitAnnotatedCommit* annotated_commit
    )

#### Description [src]

Gets the commit ID that the given `annotated_commit` refs to.

#### Return value

Type: `GgitOId`

The commit ID that the given `annotated_commit` refs to or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.